## python-systemd 230

=== Makefile ===
SED = sed
INCLUDE_DIR = /usr/include/

systemd/id128-constants.h: $(INCLUDE_DIR)/systemd/sd-messages.h
	$(SED) -n -r 's/,//g; s/#define (SD_MESSAGE_[A-Z0-9_]+)\s.*/add_id(m, "\1", \1) JOINER/p' <$< >$@

=== debian/changelog ===
python-systemd (230-1) unstable; urgency=medium

  * Initial release after the split from src:systemd. See
    http://lists.freedesktop.org/archives/systemd-devel/2015-July/033443.html

 -- Michael Biebl <biebl@debian.org>  Tue, 07 Jul 2015 18:19:12 +0200

=== debian/control ===
Source: python-systemd
Section: python
Priority: optional
Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>,
           Martin Pitt <mpitt@debian.org>
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-systemd/python-systemd.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-systemd/python-systemd.git
Homepage: http://www.freedesktop.org/wiki/Software/systemd
X-Python3-Version: >=3.1
Build-Depends: debhelper (>= 9),
               libsystemd-dev,
               python3-all-dev,

Package: python3-systemd
Section: python
Priority: optional
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: Python 3 bindings for systemd
 This package contains Python 3 bindings for native access to the
 systemd facilities.
 .
 Functionality is separated into a number of modules:
  * systemd.journal supports sending of structured messages to the
    journal and reading journal files
  * systemd.daemon wraps parts of libsystemd useful for writing daemons
    and socket activation
  * systemd.id128 provides functions for querying machine and boot
    identifiers and a list of message identifiers provided by systemd
  * systemd.login wraps parts of libsystemd used to query logged in
    users and available seats and machines

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS="nostrip"

override_dh_auto_build:
	# Create systemd/id128-constants.h
	make
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -f systemd/id128-constants.h

# Explicitly tell dh to use pybuild, otherwise it will pick the
# makefile build system.
%:
	dh $@ --with python3 --buildsystem=pybuild --parallel

## python-systemd 231

=== Makefile ===
PYTHON = python
SED = sed
SPHINX_BUILD = sphinx-build
ETAGS = etags
INCLUDE_DIR = /usr/include/
VERSION := $(shell $(PYTHON) setup.py --version)
TESTFLAGS = -v

define buildscript
import sys,sysconfig
print("build/lib.{}-{}.{}".format(sysconfig.get_platform(), *sys.version_info[:2]))
endef

builddir := $(shell $(PYTHON) -c '$(buildscript)')

all: build

build:
	$(PYTHON) setup.py build

install:
	$(PYTHON) setup.py install --skip-build $(if $(DESTDIR),--root $(DESTDIR))

dist:
	$(PYTHON) setup.py sdist

clean:
	rm -rf build systemd/*.so systemd/*.py[co] *.py[co] systemd/__pycache__

distclean: clean
	rm -rf dist MANIFEST systemd/id128-constants.h

SPHINXOPTS = -D version=$(VERSION) -D release=$(VERSION)
sphinx-%: build
	PYTHONPATH=$(builddir) $(SPHINX_BUILD) -b $* $(SPHINXOPTS) docs build/$*
	@echo Output has been generated in build/docs

check: build
	(cd $(builddir) && $(PYTHON) -m py.test . ../../docs $(TESTFLAGS))

TAGS: $(shell git ls-files systemd/*.[ch])
	$(ETAGS) $+

.PHONY: build install dist clean distclean TAGS

=== debian/changelog ===
python-systemd (231-2build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 13:33:49 +0000

python-systemd (231-2) unstable; urgency=medium

  [ Benjamin Drung ]
  * debian/control: Run wrap-and-sort -a.
  * Add python-systemd (Python 2 version) package. (Closes: #807496)

  [ Martin Pitt ]
  * Add autopkgtest for Python 2 package.

 -- Martin Pitt <mpitt@debian.org>  Mon, 14 Dec 2015 08:07:44 +0100

python-systemd (231-1) unstable; urgency=medium

  [ Martin Pitt ]
  * Add autopkgtest (copied from systemd source).

  [ Michael Biebl ]
  * Add debian/gbp.conf for git-buildpackage.
  * New upstream release.
  * Simplify clean up of systemd/id128-constants.h. The file is also created
    automatically now, so we don't have to override dh_auto_build anymore for
    this.
  * Add Build-Depends on pkg-config as per setup.py.

 -- Michael Biebl <biebl@debian.org>  Thu, 29 Oct 2015 01:54:51 +0100

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,40 @@
 Homepage: http://www.freedesktop.org/wiki/Software/systemd
 X-Python3-Version: >=3.1
 Build-Depends: debhelper (>= 9),
+               dh-python,
                libsystemd-dev,
-               python3-all-dev,
+               pkg-config,
+               python-all-dev,
+               python3-all-dev
+
+Package: python-systemd
+Section: python
+Priority: optional
+Architecture: linux-any
+Depends: ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
+Description: Python 2 bindings for systemd
+ This package contains Python 2 bindings for native access to the
+ systemd facilities.
+ .
+ Functionality is separated into a number of modules:
+  * systemd.journal supports sending of structured messages to the
+    journal and reading journal files
+  * systemd.daemon wraps parts of libsystemd useful for writing daemons
+    and socket activation
+  * systemd.id128 provides functions for querying machine and boot
+    identifiers and a list of message identifiers provided by systemd
+  * systemd.login wraps parts of libsystemd used to query logged in
+    users and available seats and machines
 
 Package: python3-systemd
 Section: python
 Priority: optional
 Architecture: linux-any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${python3:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
 Description: Python 3 bindings for systemd
  This package contains Python 3 bindings for native access to the
  systemd facilities.

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS="nostrip"
export PYBUILD_NAME=systemd

# Explicitly tell dh to use pybuild, otherwise it will pick the
# makefile build system.
%:
	dh $@ --with python2,python3 --buildsystem=pybuild --parallel

=== debian/tests/control ===
Test-Command: python3 debian/tests/import.py
Depends: python3-systemd

Test-Command: python debian/tests/import.py
Depends: python-systemd

## python-systemd 232

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 SED = sed
 SPHINX_BUILD = sphinx-build
 ETAGS = etags
-INCLUDE_DIR = /usr/include/
+INCLUDE_DIR := $(shell pkg-config --variable=includedir libsystemd)
 VERSION := $(shell $(PYTHON) setup.py --version)
 TESTFLAGS = -v
 
@@ -14,6 +14,21 @@
 builddir := $(shell $(PYTHON) -c '$(buildscript)')
 
 all: build
+
+.PHONY: update-constants
+update-constants: $(INCLUDE_DIR)/systemd/sd-messages.h
+	cat $< systemd/id128-defines.h | \
+	  $(SED) -n -r '/#define SD_MESSAGE_[A-Z0-9_]/p' | \
+	  sort -u | \
+	  tee systemd/id128-defines.h.tmp | \
+	  $(SED) -n -r 's/,//g; s/#define (SD_MESSAGE_[A-Z0-9_]+)\s.*/add_id(m, "\1", \1) JOINER/p' | \
+	  sort -u >systemd/id128-constants.h.tmp
+	mv systemd/id128-defines.h{.tmp,}
+	mv systemd/id128-constants.h{.tmp,}
+	($(SED) 9q <docs/id128.rst && \
+	  sed -n -r 's/#define (SD_MESSAGE_[A-Z0-9_]+) .*/   .. autoattribute:: systemd.id128.\1/p' \
+	  systemd/id128-defines.h) >docs/id128.rst.tmp
+	mv docs/id128.rst{.tmp,}
 
 build:
 	$(PYTHON) setup.py build
@@ -28,12 +43,12 @@
 	rm -rf build systemd/*.so systemd/*.py[co] *.py[co] systemd/__pycache__
 
 distclean: clean
-	rm -rf dist MANIFEST systemd/id128-constants.h
+	rm -rf dist MANIFEST
 
 SPHINXOPTS = -D version=$(VERSION) -D release=$(VERSION)
 sphinx-%: build
 	PYTHONPATH=$(builddir) $(SPHINX_BUILD) -b $* $(SPHINXOPTS) docs build/$*
-	@echo Output has been generated in build/docs
+	@echo Output has been generated in build/$*
 
 check: build
 	(cd $(builddir) && $(PYTHON) -m py.test . ../../docs $(TESTFLAGS))

=== debian/changelog ===
python-systemd (232-1) unstable; urgency=medium

  * New upstream release.
  * Stop removing systemd/id128-constants.h on clean. This file is now shipped
    in the dist tarball/repository.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Thu, 22 Sep 2016 14:29:34 +0200

## python-systemd 233

=== Makefile ===
--- 
+++ 
@@ -51,9 +51,13 @@
 	@echo Output has been generated in build/$*
 
 check: build
-	(cd $(builddir) && $(PYTHON) -m py.test . ../../docs $(TESTFLAGS))
+	(cd $(builddir) && $(PYTHON) -m pytest . ../../docs $(TESTFLAGS))
+
+www_target = www.freedesktop.org:/srv/www.freedesktop.org/www/software/systemd/python-systemd
+doc-sync:
+	rsync -rlv --delete --omit-dir-times build/html/ $(www_target)/
 
 TAGS: $(shell git ls-files systemd/*.[ch])
 	$(ETAGS) $+
 
-.PHONY: build install dist clean distclean TAGS
+.PHONY: build install dist clean distclean TAGS doc-sync

=== debian/changelog ===
python-systemd (233-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 17 Oct 2016 19:17:47 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>,
            Martin Pitt <mpitt@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/pkg-systemd/python-systemd.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-systemd/python-systemd.git
 Homepage: http://www.freedesktop.org/wiki/Software/systemd

## python-systemd 234

=== debian/changelog ===
python-systemd (234-3build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:24:18 +0100

python-systemd (234-3build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:11:48 +0000

python-systemd (234-3) unstable; urgency=medium

  * d/control: Drop obsolete X-Python3-Version.
    3.1 is older than oldstable even, so drop the field entirely. Fixes
    `ancient-python-version-field` lintian warning.
  * Bump Standards-Version to 4.4.0. No changes necessary.
  * Drop Python 2 support.
    All python-systemd reverse dependencies got dropped. (Closes: #938207)

 -- Martin Pitt <mpitt@debian.org>  Thu, 12 Sep 2019 19:18:20 +0000

python-systemd (234-2) unstable; urgency=medium

  [ Michael Biebl ]
  * Update Vcs-* to point to https://salsa.debian.org
  * Set Rules-Requires-Root to no

  [ Martin Pitt ]
  * debian/copyright: Use https URL for Format:
  * debian/copyright: Move global wildcard section to the top.
    Fixes lintian warning
    global-files-wildcard-not-first-paragraph-in-dep5-copyright.
  * Bump Standards-Version to 4.1.3

 -- Martin Pitt <mpitt@debian.org>  Mon, 26 Mar 2018 00:00:00 +0200

python-systemd (234-1) unstable; urgency=medium

  * New upstream version 234
  * Bump debhelper compat level to 10
  * Update Vcs-* following the latest recommendation
  * Bump Standards-Version to 4.0.0

 -- Michael Biebl <biebl@debian.org>  Tue, 18 Jul 2017 23:25:48 +0200

=== debian/control ===
Source: python-systemd
Section: python
Priority: optional
Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>,
           Martin Pitt <mpitt@debian.org>
Standards-Version: 4.4.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/systemd-team/python-systemd.git
Vcs-Browser: https://salsa.debian.org/systemd-team/python-systemd
Homepage: http://www.freedesktop.org/wiki/Software/systemd
Build-Depends: debhelper (>= 10),
               dh-python,
               libsystemd-dev,
               pkg-config,
               python3-all-dev

Package: python3-systemd
Section: python
Priority: optional
Architecture: linux-any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for systemd
 This package contains Python 3 bindings for native access to the
 systemd facilities.
 .
 Functionality is separated into a number of modules:
  * systemd.journal supports sending of structured messages to the
    journal and reading journal files
  * systemd.daemon wraps parts of libsystemd useful for writing daemons
    and socket activation
  * systemd.id128 provides functions for querying machine and boot
    identifiers and a list of message identifiers provided by systemd
  * systemd.login wraps parts of libsystemd used to query logged in
    users and available seats and machines

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 # Explicitly tell dh to use pybuild, otherwise it will pick the
 # makefile build system.
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild --parallel
+	dh $@ --with python3 --buildsystem=pybuild

## python-systemd 235

=== debian/changelog ===
python-systemd (235-1build7) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:13:52 +0000

python-systemd (235-1build6) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 00:30:55 +0000

python-systemd (235-1build5) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:01:03 +0100

python-systemd (235-1build4) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:17:49 +0200

python-systemd (235-1build3) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:53:45 +0000

python-systemd (235-1build2) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 19:41:36 -0500

python-systemd (235-1build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Nov 2022 11:12:46 +0000

python-systemd (235-1) unstable; urgency=medium

  * New upstream version 235
  * Drop patches, merged upstream
  * Bump Standards-Version to 3.6.1, no further changes
  * Add Build-Depends on python3-setuptools
  * Enable all hardening build flags

 -- Michael Biebl <biebl@debian.org>  Tue, 16 Aug 2022 17:12:47 +0200

python-systemd (234-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Dan Bungert ]
  * Cherry-pick fix for PY_SSIZE_T_CLEAN (Closes: #1006743)

  [ Michael Biebl ]
  * Bump Standards-Version to 4.6.0
  * Bump debhelper-compat to 13

 -- Michael Biebl <biebl@debian.org>  Sat, 02 Apr 2022 10:29:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: python-systemd
 Section: python
 Priority: optional
-Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>,
            Martin Pitt <mpitt@debian.org>
-Standards-Version: 4.4.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/systemd-team/python-systemd.git
 Vcs-Browser: https://salsa.debian.org/systemd-team/python-systemd
-Homepage: http://www.freedesktop.org/wiki/Software/systemd
-Build-Depends: debhelper (>= 10),
+Homepage: https://www.freedesktop.org/wiki/Software/systemd
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                libsystemd-dev,
                pkg-config,
-               python3-all-dev
+               python3-all-dev,
+               python3-setuptools,
 
 Package: python3-systemd
 Section: python

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 #export DH_VERBOSE=1
 #export DEB_BUILD_OPTIONS="nostrip"
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export PYBUILD_NAME=systemd
 
 # Explicitly tell dh to use pybuild, otherwise it will pick the

=== debian/tests/control ===
Test-Command: python3 debian/tests/import.py
Depends: python3-systemd

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-systemd-$1\.tar\.gz/ \
  https://github.com/systemd/python-systemd/tags .*/v?(\d\S*)\.tar\.gz
